Package weka.core.stemmers

# Class Stemming

java.lang.Object
weka.core.stemmers.Stemming

All Implemented Interfaces:
  `RevisionHandler`

public class Stemming extends Object implements RevisionHandler
A helper class for using the stemmers. Run with option '-h' to list all the available options.

Version:
  $Revision: 1.3 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Constructor Summary

Constructors
Constructor
Description
`Stemming()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`static void`
`useStemmer(Stemmer stemmer, String[] options)`
Applies the given stemmer according to the given options.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stemming

public Stemming()

## Method Details

### useStemmer

public static void useStemmer(Stemmer stemmer, String[] options) throws Exception
Applies the given stemmer according to the given options. '-h' lists all the available options for the given stemmer.

Parameters:
  `stemmer` - the stemmer to use
  `options` - the options for the stemmer
Throws:
  `Exception` - if something goes wrong

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision